View Issue Details

IDProjectCategoryView StatusLast Update
0002921SymmetricDS ProBugpublic2016-12-05 10:59
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.10 
Target Version3.8.11Fixed in Version3.8.11 
Summary0002921: SymmetricDS Pro reports java.lang.IllegalStateException: !asyncSupported errors when using console
Description2016-11-28 12:32:17,752 ERROR [gui] [AtmosphereFramework] [qtp517210187-20] AtmosphereFramework exception StackTraceKey.init [IllegalStateException:2331501788]
java.lang.IllegalStateException: !asyncSupported
    at org.eclipse.jetty.server.Request.startAsync(Request.java:2073)
    at javax.servlet.ServletRequestWrapper.startAsync(ServletRequestWrapper.java:464)
    at org.atmosphere.cpr.AtmosphereRequest.startAsync(AtmosphereRequest.java:723)
    at org.atmosphere.container.Servlet30CometSupport.suspend(Servlet30CometSupport.java:93)
    at org.atmosphere.container.Servlet30CometSupport.service(Servlet30CometSupport.java:68)
    at org.atmosphere.container.Jetty9AsyncSupportWithWebSocket.service(Jetty9AsyncSupportWithWebSocket.java:170)
    at org.atmosphere.cpr.AtmosphereFramework.doCometSupport(AtmosphereFramework.java:2075)
    at com.vaadin.server.communication.PushRequestHandler.handleRequest(PushRequestHandler.java:247)
    at com.vaadin.server.VaadinService.handleRequest(VaadinService.java:1409)
    at com.vaadin.server.VaadinServlet.service(VaadinServlet.java:364)
    at com.jumpmind.symmetric.console.ui.AppServlet.service(AppServlet.java:37)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
    at org.eclipse.jetty.servlet.ServletHolder.handle(ServletHolder.java:812)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1669)
    at org.jumpmind.symmetric.web.HttpMethodFilter.doFilter(HttpMethodFilter.java:62)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1652)
    at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:585)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:143)
    at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:577)
    at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:223)
    at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1127)
    at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:515)
    at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:185)
    at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:1061)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:141)
    at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:97)
    at org.eclipse.jetty.server.Server.handle(Server.java:499)
    at org.eclipse.jetty.server.HttpChannel.handle(HttpChannel.java:311)
    at org.eclipse.jetty.server.HttpConnection.onFillable(HttpConnection.java:257)
    at org.eclipse.jetty.io.AbstractConnection$2.run(AbstractConnection.java:544)
    at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:635)
    at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:555)
    at java.lang.Thread.run(Thread.java:745)
TagsNo tags attached.

Activities

chenson

2016-11-29 16:40

administrator   ~0000914

Upgrade the web.xml to 3.1 servlet spec and set asyncEnabled=true

Issue History

Date Modified Username Field Change
2016-11-29 16:40 chenson New Issue
2016-11-29 16:40 chenson Status new => assigned
2016-11-29 16:40 chenson Assigned To => chenson
2016-11-29 16:40 chenson Note Added: 0000914
2016-11-29 16:42 chenson Status assigned => resolved
2016-11-29 16:42 chenson Fixed in Version => 3.8.11
2016-11-29 16:42 chenson Resolution open => fixed
2016-12-05 10:59 chenson Status resolved => closed